# NOTE: this file depends on 'test-includes.r', sourced in utilitiesR/tests/test-all.r
# source('test-includes.r')

# I don't know how to test these as their are user-interactive, so I will just
# test for existence...
describe("user interaction dialogs/functions", {
    test("exports a 'Filters' matrix", {
        expect_that('Filters', is_exported('character'))
        expect_that(Filters, is_a('matrix'))
    })

    test("exports a 'gui.file.choose' function", {
        expect_that('gui.file.choose', is_exported('function'))
    })

    test("exports a 'gui.dir.choose' function", {
        expect_that('gui.dir.choose', is_exported('function'))
    })

    test("exports a 'gui.menu' function", {
        expect_that('gui.menu', is_exported('function'))
    })

    test("exports a 'gui.readline' function", {
        expect_that('gui.readline', is_exported('function'))
    })

    test("exports a 'gui.yesno' function", {
        expect_that('gui.yesno', is_exported('function'))
    })

    test("exports a 'tk_entry.dialog' function", {
        expect_that('tk_entry.dialog', is_exported('function'))
    })

    test("exports a 'file.browse' function", {
        expect_that('file.browse', is_exported('function'))
    })

    test("exports a 'dir.browse' function", {
        expect_that('dir.browse', is_exported('function'))
    })

    test("exports a 'list.dirs' function", {
        expect_that('list.dirs', is_exported('function'))
    })
})

