\name{UTM2GPS}
\alias{UTM2GPS}
\title{converts UTM coordinates to GPS coordinates}
\usage{
  UTM2GPS(utm, ...)
}
\arguments{
  \item{utm}{a nx2 matrix with X then Y}

  \item{...}{params for UTM2GPS}
}
\value{
  a nx2 matrix with gps LONGITUDE then gps LATITUDE
}
\description{
  converts UTM coordinates to GPS coordinates
}
\details{
  You need either package 'rgdal' [need libgdal1-dev in
  ubuntu and libproj-dev] OR 'proj' in your path [proj-bin
  in ubuntu]
}
\seealso{
  Other coordinates: \code{\link{formatGPS}},
  \code{\link{getUTMZone}}, \code{\link{GPS2UTM}}
}

