\name{\%notin\%}
\alias{\%notin\%}
\title{Opposite to \code{\%in\%}.}
\usage{
  x \%notin\% table
}
\arguments{
  \item{x}{vector to test}

  \item{table}{vector to check membership of}
}
\value{
  a logical vector, same length as `x`, that is TRUE in the
  `i`th position if `x[i]` is NOT in `table`.
}
\description{
  Returns a logical vector for elements of `x` not in
  `table`. It is simply equivalent to \code{!(x \%in\%
  table)}.
}
\examples{
x <- 1:5
x[x \%notin\% c(1, 3, 5)] # 2, 4
}
\seealso{
  \code{\link[base:match]{\%in\%}}

  \code{\link{find.in}}

  \code{\link{invwhich}}
}

